Bug 154201 - DBUS assertion crashes Kontact
Summary: DBUS assertion crashes Kontact
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: general (show other bugs)
Version: SVN trunk
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Thomas McGuire
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-17 01:25 UTC by Jonny Heggheim
Modified: 2007-12-20 21:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch (4.27 KB, patch)
2007-12-17 01:27 UTC, Jonny Heggheim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonny Heggheim 2007-12-17 01:25:22 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

Kontact always crashes when trying to "New Contact" or "New TODO item".
Comment 1 Jonny Heggheim 2007-12-17 01:27:50 UTC
Created attachment 22585 [details]
Patch

removed "(" and ")" from the dbus name
Comment 2 Jonny Heggheim 2007-12-17 16:57:20 UTC
kontact(10304)/kaddressbook AddresseeEditorWidget::load: AddresseeEditorWidget::load()
kontact(10304)/kdecore (trader) KServiceTypeTrader::defaultOffers: query for serviceType  "KAddressBook/Extension"  : returning  2  offers
kontact(10304)/kdecore (trader) KServiceTypeTrader::defaultOffers: query for serviceType  "KAddressBook/XXPort"  : returning  9  offers
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_vcard_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_eudora_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_ldif_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_bookmark_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_kde2_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_gmx_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_pab_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_opera_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KLibLoader) kde4Factory: The library "/home/kde-devel/kde/lib/kde4/kaddrbk_csv_xxport.so" does not offer a qt_plugin_instance function.
kontact(10304)/kdecore (KAcceleratorManager) QWidgetStackAccelManager::currentChanged: invalid index provided
kontact(10304) ViewManager::setActiveView: entering ViewManager::setActiveView
kontact(10304)/kaddressbook ViewManager::setActiveView: ViewManager::setActiveView: creating view - "Default Table View"
kontact(10304)/kdepimlibs (kabc) KABC::AddressBook::requestSaveTicket: AddressBook::requestSaveTicket()
kontact(10304)/kdepimlibs (kabc) KABC::ResourceFile::requestSaveTicket: ResourceFile::requestSaveTicket()
kontact(10304)/kdepimlibs (kabc) KABC::Lock::lock: Lock::lock()
kontact(10304)/kdepimlibs (kabc) KABC::Lock::lock: -- lock name: "/home/kde-devel/.kde4/share/apps/kabc/lock/_home_kde-devel_.kde4_share_apps_kabc_std.vcf.lock"
kontact(10304)/kdepimlibs (kabc) KABC::Lock::lock: Removed stale lock file from process ' "kontact" '
kontact(10304)/kdepimlibs (kabc) KABC::Lock::lock: -- lock unique name: "/home/kde-devel/.kde4/share/apps/kabc/lock/_home_kde-devel_.kde4_share_apps_kabc_std.vcf7IvVrKMh"
kontact(10304)/kaddressbook AddresseeEditorDialog::AddresseeEditorDialog: AddresseeEditorDialog()
kontact(10304)/kaddressbook AddresseeEditorWidget::AddresseeEditorWidget: AddresseeEditorWidget()
kontact(10304)/kdepimlibs (kabc) KABC::StdAddressBook::self: StdAddressBook::self()
kontact(10304)/kdepimlibs (kabc) KABC::StdAddressBook::self: StdAddressBook::self()
kontact(10304)/kdepimlibs (kabc) KABC::StdAddressBook::self: StdAddressBook::self()
kontact(10304)/kdecore (trader) KServiceTypeTrader::defaultOffers: query for serviceType  "QImageIOPlugins"  : returning  21  offers
kontact(10304)/kdecore (trader) KServiceTypeTrader::defaultOffers: query for serviceType  "QImageIOPlugins"  : returning  21  offers
kontact(10304)/kdepimlibs (kabc) KABC::StdAddressBook::self: StdAddressBook::self()
kontact(10304)/kdepimlibs (kabc) KABC::StdAddressBook::self: StdAddressBook::self()
kontact(10304)/kdepimlibs (kabc) KABC::StdAddressBook::self: StdAddressBook::self()
kontact(10304)/kaddressbook AddresseeEditorWidget::load: AddresseeEditorWidget::load()
kontact(10304)/kaddressbook AddresseeEditorWidget::load: AddresseeEditorWidget::load()
process 10304: arguments to dbus_message_new_signal() were incorrect, assertion "_dbus_check_is_valid_member (name)" failed in file dbus-message.c line 1163.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
*** KMail got signal 6 (Crashing)
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = kontact path = <unknown> pid = 10304
sock_file=/home/kde-devel/.kde4/socket-jonny-suse/kdeinit4__3
Comment 3 Jonny Heggheim 2007-12-17 16:59:18 UTC
[?1034hUsing host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb52196d0 (LWP 10304)]
[KCrash handler]
#6  0xffffe410 in __kernel_vsyscall ()
#7  0xb566d8f5 in raise () from /lib/libc.so.6
#8  0xb566f1e1 in abort () from /lib/libc.so.6
#9  0xb5582045 in _dbus_abort () at dbus-sysdeps.c:84
#10 0xb557dec6 in _dbus_warn_check_failed (
    format=0xb558cb40 "arguments to %s() were incorrect, assertion \"%s\" failed in file %s line %d.\nThis is normally a bug in some application using the D-Bus library.\n") at dbus-internals.c:283
#11 0xb5571b5a in dbus_message_new_signal (path=0x8dd8b18 "/Groupware", 
    interface=0x8536b80 "org.kde.kmail", name=0x8536b28 "triggerSync(QString)")
    at dbus-message.c:1159
#12 0xb74eacd5 in QDBusMessagePrivate::toDBusMessage (message=@0xbfdc75f0)
    at qdbusmessage.cpp:122
#13 0xb74db39b in QDBusConnectionPrivate::send (this=0x805f988, 
    message=@0xbfdc75f0) at qdbusintegrator.cpp:1544
#14 0xb74d373b in QDBusConnection::send (this=0xbfdc7610, message=@0xbfdc75f0)
    at qdbusconnection.cpp:423
#15 0xb38e66e2 in KAddressbookPlugin::slotSyncContacts (this=0x8197ab0)
    at /home/kde-devel/kde/src/KDE/kdepim/kontact/plugins/kaddressbook/kaddressbook_plugin.cpp:122
#16 0xb38e67a3 in KAddressbookPlugin::qt_metacall (this=0x8197ab0, 
    _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfdc7b4c)
    at /home/kde-devel/kde/build/KDE/kdepim/kontact/plugins/kaddressbook/kaddressbook_plugin.moc:69
#17 0xb7e8a4ea in QMetaObject::activate (sender=0x813f000, 
    from_signal_index=5, to_signal_index=6, argv=0xbfdc7b4c)
    at kernel/qobject.cpp:3089
#18 0xb7e8a6a0 in QMetaObject::activate (sender=0x813f000, m=0xb74894c0, 
    from_local_signal_index=1, to_local_signal_index=2, argv=0xbfdc7b4c)
    at kernel/qobject.cpp:3171
#19 0xb6e37f4c in QAction::triggered (this=0x813f000, _t1=false)
    at .moc/debug-shared/moc_qaction.cpp:208
#20 0xb6e399d2 in QAction::activate (this=0x813f000, event=QAction::Trigger)
    at kernel/qaction.cpp:1116
#21 0xb721c8ad in QMenuPrivate::activateAction (this=0x81bb7b0, 
    action=0x813f000, action_e=QAction::Trigger, self=true)
    at widgets/qmenu.cpp:923
#22 0xb721f190 in QMenu::mouseReleaseEvent (this=0x81b8b88, e=0xbfdc8308)
    at widgets/qmenu.cpp:2093
#23 0xb7aa9382 in KMenu::mouseReleaseEvent (this=0x81b8b88, e=0xbfdc8308)
    at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/widgets/kmenu.cpp:423
#24 0xb6e92367 in QWidget::event (this=0x81b8b88, event=0xbfdc8308)
    at kernel/qwidget.cpp:6129
#25 0xb721a88d in QMenu::event (this=0x81b8b88, e=0xbfdc8308)
    at widgets/qmenu.cpp:2182
#26 0xb6e3fbc7 in QApplicationPrivate::notify_helper (this=0x8064968, 
    receiver=0x81b8b88, e=0xbfdc8308) at kernel/qapplication.cpp:3558
#27 0xb6e4079e in QApplication::notify (this=0xbfdc9a98, receiver=0x81b8b88, 
    e=0xbfdc8308) at kernel/qapplication.cpp:3257
#28 0xb79ecf2b in KApplication::notify (this=0xbfdc9a98, receiver=0x81b8b88, 
    event=0xbfdc8308)
    at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:319
#29 0xb7e763d8 in QCoreApplication::notifyInternal (this=0xbfdc9a98, 
    receiver=0x81b8b88, event=0xbfdc8308) at kernel/qcoreapplication.cpp:532
#30 0xb6e4af93 in QCoreApplication::sendSpontaneousEvent (receiver=0x81b8b88, 
    event=0xbfdc8308)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:205
#31 0xb6eaf87b in QETWidget::translateMouseEvent (this=0x81b8b88, 
    event=0xbfdc8830) at kernel/qapplication_x11.cpp:3778
#32 0xb6ead91b in QApplication::x11ProcessEvent (this=0xbfdc9a98, 
    event=0xbfdc8830) at kernel/qapplication_x11.cpp:2922
#33 0xb6ed7602 in x11EventSourceDispatch (s=0x80677b0, callback=0, 
    user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:137
#34 0xb55c45d6 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#35 0xb55c7972 in ?? () from /usr/lib/libglib-2.0.so.0
#36 0x08066398 in ?? ()
#37 0x00000000 in ?? ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 4 Thomas McGuire 2007-12-19 20:12:34 UTC
>Kontact always crashes when trying to "New Contact" or "New TODO item". 
Are you sure you don't mean "Sync Contact" or "Sync Todo Item"? The backtrace suggests you clicked the sync action.

Anyway, the patch doesn't solve the real problem. The real problem is that the dbus calls are simply wrong, these things are methods, not signals.

I am currently fixing/rewriting a lot of DBUS stuff in KMail, an will also look after this.
Comment 5 Thomas McGuire 2007-12-20 21:47:30 UTC
SVN commit 750997 by tmcguire:

Fix some D-Bus calls to the groupware interface. Untested.
Once the groupware D-Bus stuff has been properly ported, we
can use an auto-generated interface for this, so these kind 
of errors don't happen again.

BUG: 154201


 M  +4 -1      kaddressbook/kaddressbook_plugin.cpp  
 M  +3 -3      kmail/kcmkmailsummary.cpp  
 M  +4 -1      kmail/kmail_plugin.cpp  
 M  +4 -1      knotes/knotes_plugin.cpp  
 M  +4 -1      korganizer/journalplugin.cpp  
 M  +4 -1      korganizer/korganizerplugin.cpp  
 M  +4 -1      korganizer/todoplugin.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=750997